/****************************************************************************
** Form interface generated from reading ui file './preferences.ui'
**
** Created: Wed Nov 24 12:11:40 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.2   edited Dec 19 11:45 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef APOLLONPREFERENCESDIALOG_H
#define APOLLONPREFERENCESDIALOG_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include <kurl.h>
#include <kdirselectdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QPushButton;
class QTabWidget;
class QWidget;
class QGroupBox;
class QLabel;
class QLineEdit;
class QCheckBox;
class QComboBox;
class QListBox;
class QListBoxItem;
class QSpinBox;

class ApollonPreferencesDialog : public QDialog
{
    Q_OBJECT

public:
    ApollonPreferencesDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~ApollonPreferencesDialog();

    QPushButton* buttonOk;
    QPushButton* buttonCancel;
    QTabWidget* tabWidget;
    QWidget* Widget2;
    QGroupBox* userGroup;
    QLabel* userLabel;
    QLineEdit* userEdit;
    QLabel* userInfoLabel;
    QGroupBox* sharedGroup;
    QLabel* sharedLabel;
    QLineEdit* downloadEdit;
    QPushButton* sharedFolderPB;
    QLabel* sharedFolderLabel;
    QCheckBox* shareDownloadCheck;
    QGroupBox* startupGroup;
    QLabel* pageLabel;
    QComboBox* pageCombo;
    QLabel* startupInfoLabel;
    QWidget* tab;
    QGroupBox* sharedGroup_2;
    QListBox* sharedFolderList;
    QPushButton* addButton;
    QPushButton* deleteButton;
    QLabel* sharedInfoLabel;
    QWidget* tab_2;
    QGroupBox* uploadGroup;
    QCheckBox* uploadsCheck;
    QLabel* uploadsLabel;
    QSpinBox* uploadsSpin;
    QLabel* uploadsInfoLabel;
    QLabel* userUploadsLabel;
    QSpinBox* userUploadsSpin;
    QLabel* userUploadsInfoLabel;
    QGroupBox* bandwidthGroup;
    QCheckBox* bandwidthCheck;
    QLabel* downRestrictionLabel;
    QSpinBox* downRestrictionSpin;
    QLabel* downRestrictionSizeLabel;
    QLabel* downRestrictionInfoLabel;
    QLabel* upRestrictionLabel;
    QSpinBox* upRestrictionSpin;
    QLabel* upRestrictionSizeLabel;
    QLabel* upRestrictionInfoLabel;
    QWidget* Widget3;
    QGroupBox* notificationsGroup;
    QCheckBox* notificationCheck;
    QLabel* textLabel4;
    QGroupBox* dockGroup;
    QCheckBox* startSysTrayCheck;
    QLabel* startSysTrayLabel;
    QCheckBox* removeSysTrayCheck;
    QLabel* removeSysTrayLabel;
    QGroupBox* dockGroup_2;
    QCheckBox* killDaemonCheck;
    QLabel* killDaemonLabel;
    QWidget* tab_3;
    QGroupBox* autoSearchGroup;
    QLabel* autoSearchLabel;
    QSpinBox* autoSearchSpin;
    QLabel* autoSearchSizeLabel;
    QLabel* autoSearchInfoLabel;
    QGroupBox* pluginsGroup;
    QListBox* pluginsList;
    QPushButton* addPluginButton;
    QPushButton* deletePluginButton;
    QPushButton* enablePluginButton;
    QGroupBox* sharingGroup;
    QCheckBox* hideHiddenCheck;
    QCheckBox* followSymlinksCheck;
    QGroupBox* syncGroup;
    QLabel* syncLabel;
    QComboBox* syncCombo;
    QWidget* TabPage;
    QGroupBox* groupBoxPorts;
    QLabel* textLabel4_2;
    QSpinBox* spinSearchPort;
    QLabel* textLabel5;
    QLabel* textLabel6;
    QSpinBox* spinHttpPort;
    QLabel* textLabel7;
    QGroupBox* autoSearchGroup_2;
    QLabel* textLabel1;
    QCheckBox* checkSearchnode;
    QLabel* textLabel2;

    virtual QString getIncomingPath();
    virtual QString getCompletedPath();

public slots:
    virtual void accept();
    virtual void uploadsCheckToggled( bool enabled );
    virtual void bandwidthCheckToggled( bool enabled );
    virtual void readValues();
    virtual void readConfig();
    virtual void saveConfig();
    virtual void sltDownloadDir();
    virtual void sltAddSharedFolder();
    virtual void deleteSharedFolder();
    virtual void saveValues();
    virtual void sltNewPlugin();
    virtual void sltDeletePlugin();
    virtual void sltDisablePlugin();
    virtual void sltEnableButton( QListBoxItem * it );
    virtual void sltGiftSettingsChanged();

signals:
    void sigOK();
    void sigShutApollon(bool);
    void sigStartDocked(bool);
    void sigShowPopUps(bool);
    void sigStartPage(int);
    void sigAutoSearchInterval(int);
    void sigSharedFolder(const QString&);
    void sigRestartDaemon();
    void sigKillDaemon(bool);

protected:
    KDirSelectDialog dialog;

    QHBoxLayout* Layout1;
    QVBoxLayout* Widget2Layout;
    QGridLayout* userGroupLayout;
    QHBoxLayout* layout4;
    QVBoxLayout* sharedGroupLayout;
    QHBoxLayout* layout26;
    QVBoxLayout* startupGroupLayout;
    QHBoxLayout* layout15_2_2_2;
    QGridLayout* tabLayout;
    QVBoxLayout* sharedGroup_2Layout;
    QHBoxLayout* layout4_2;
    QVBoxLayout* tabLayout_2;
    QVBoxLayout* uploadGroupLayout;
    QHBoxLayout* layout6_2;
    QHBoxLayout* layout6_3;
    QVBoxLayout* bandwidthGroupLayout;
    QHBoxLayout* layout24;
    QHBoxLayout* layout25;
    QVBoxLayout* Widget3Layout;
    QVBoxLayout* notificationsGroupLayout;
    QVBoxLayout* dockGroupLayout;
    QVBoxLayout* dockGroup_2Layout;
    QVBoxLayout* tabLayout_3;
    QVBoxLayout* autoSearchGroupLayout;
    QHBoxLayout* layout35;
    QHBoxLayout* pluginsGroupLayout;
    QVBoxLayout* layout28;
    QVBoxLayout* sharingGroupLayout;
    QHBoxLayout* syncGroupLayout;
    QGridLayout* autoSearchGroup_2Layout;

protected slots:
    virtual void languageChange();

private:
    bool mGiftChanged;
    QString mIncoming;
    KIconLoader* loader;
    bool m_mainWindowCloses;
    int m_startPage;
    KURL m_sharedFolder;
    QString m_username;
    bool m_enableUpload;
    int m_numUserUploads;
    int m_numUploads;
    int m_numDownloads;
    bool m_showNotification;
    bool m_startDocked;
    QString disabledPlugins;
    QPixmap noPix;
    QPixmap okPix;
    QString mCompleted;

    QPixmap image0;

    void init();

};

#endif // APOLLONPREFERENCESDIALOG_H
